/*-
 * Copyright (c) 2002 Jordan DeLong
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of contributors may be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
#ifndef CMD_VDEF_H
#define CMD_VDEF_H

/*
 * editing commands applicable to vdefault; many views stacking on
 * top of vdefault will pass most or all of these commands through
 * to the vdefault layer.
 */

/* command_cursor */
void	command_up(vdefault_t *);
void	command_down(vdefault_t *);
void	command_left(vdefault_t *);
void	command_right(vdefault_t *);
void	command_home(vdefault_t *);
void	command_end(vdefault_t *);
void	command_viewtop(vdefault_t *);
void	command_viewbottom(vdefault_t *);
void	command_nextword(vdefault_t *);
void	command_prevword(vdefault_t *);
void	command_nextpara(vdefault_t *);
void	command_prevpara(vdefault_t *);

/* command_view */
void	command_pgup(vdefault_t *);
void	command_pgdn(vdefault_t *);
void	command_halfpgup(vdefault_t *);
void	command_halfpgdn(vdefault_t *);
void	command_lineup(vdefault_t *);
void	command_linedn(vdefault_t *);
void	command_firstline(vdefault_t *);
void	command_lastline(vdefault_t *);
void	command_center(vdefault_t *);

/* command_edit */
void	command_delete(vdefault_t *);
void	command_backspace(vdefault_t *);

/* command_undo */
void	command_undo(vdefault_t *);
void	command_redo(vdefault_t *);

/* command_search */
void	command_isearch(vdefault_t *);
void	command_risearch(vdefault_t *);
void	command_gotoln(vdefault_t *);
void	command_replace(vdefault_t *);

/* command_tran */
void	command_tranchars(vdefault_t *);
void	command_tranwords(vdefault_t *);
void	command_tranlines(vdefault_t *);

/* command_kill */
void	command_killrgn(vdefault_t *);
void	command_killline(vdefault_t *);
void	command_killeol(vdefault_t *);
void	command_killword(vdefault_t *);
void	command_fwdkillword(vdefault_t *);
void	command_appendkill(vdefault_t *);
void	command_yank(vdefault_t *);
void	command_yankpop(vdefault_t *);
void	command_fwdyankpop(vdefault_t *);

/* command_mark */
void	command_setmark(vdefault_t *);
void	command_popmark(vdefault_t *);
void	command_clearmark(vdefault_t *);
void	command_promotemark(vdefault_t *);
void	command_demotemark(vdefault_t *);
void	command_xchgmark(vdefault_t *);

/* command_filter */
void	command_filter(vdefault_t *);

/* command_insertfile */
void	command_insertfile(vdefault_t *);

/* command_misc */
void	command_tognlstyle(vdefault_t *);

/* command_type */
void	command_enter(vdefault_t *);
void	command_openline(vdefault_t *);
void	command_type(vdefault_t *, int key);

#endif
