/*-
 * Copyright (c) 2002 Jordan DeLong
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of contributors may be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
#ifndef COMPLETE_H
#define COMPLETE_H

u_char	**complete_filename(vminibuff_t *, int *);
u_char	**complete_fromhash(vminibuff_t *, int *, void *hash,
		int buckets, int off_name, int off_list);
u_char	**complete_buff(vminibuff_t *, int *);

static __inline u_char **complete_command(vminibuff_t *v, int *startidx) {
	return complete_fromhash(v, startidx, command_hash,
		COMMAND_BUCKETS, offsetof(command_t, name),
		offsetof(command_t, c_list));
}

static __inline u_char **complete_vtype(vminibuff_t *v, int *startidx) {
	return complete_fromhash(v, startidx, view_types,
		VTYPE_BUCKETS, offsetof(viewtype_t, name),
		offsetof(viewtype_t, vt_list));
}

static __inline u_char **complete_opt(vminibuff_t *v, int *startidx) {
	return complete_fromhash(v, startidx, options_hash,
		OPTIONS_BUCKETS, offsetof(opt_t, name),
		offsetof(opt_t, o_list));
}

#endif
