	/*-
 * Copyright (c) 2002 Jordan DeLong
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of contributors may be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
#ifndef DRAW_H
#define DRAW_H

/* return the distance to the next tabstop */
#define draw_next_tabstop(viewcol)	\
	(options.tabwidth - (viewcol % options.tabwidth))

void	draw_screen();
void	draw_header(vdefault_t *, int x, int y, int width);
void	draw_visify(u_char *vis, u_char c);
void	draw_string(u_char *text, int max, int len,
		int scrollcol, int *viewcol);
void	draw_eol(vdefault_t *, int viewcol, int y);
void	draw_emptylines(viewhdr_t *, int y);
void	draw_text(viewhdr_t *, vdefault_t *);
void	draw_standard(viewhdr_t *, vdefault_t *);

/* move the cursor to the input position */
static __inline void draw_mvcursor(vdefault_t *v) {
	screen_gotoxy(v->hdr.geom.x + v->cursor.screencol - v->view.col,
		v->hdr.geom.y + v->cursor.linenum - v->view.linenum);
}

/* used when drawing in viewop drawpart routines to set cursor position */
static __inline void draw_setxy(vdefault_t *v, int viewcol, int y) {
	if (viewcol > v->view.col) {
		if (viewcol - v->view.col > v->hdr.geom.width)
			return;
		screen_gotoxy(v->hdr.geom.x + (viewcol - v->view.col),
			v->hdr.geom.y + y);
	} else
		screen_gotoxy(v->hdr.geom.x, v->hdr.geom.y + y);
}

#endif
