/*-
 * Copyright (c) 2002 Jordan DeLong
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of contributors may be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
#ifndef FORWARD_H
#define FORWARD_H

/*
 * forward declarations of structures
 */
typedef struct buffer		buffer_t;
typedef struct bufferlist	bufferlist_t;
typedef struct bufferhash	bufferhash_t;
typedef struct command		command_t;
typedef struct commandlist	commandlist_t;
typedef struct hashtab		hashtab_t;
typedef struct hashtablist	hashtablist_t;
typedef struct frame		frame_t;
typedef struct framenode	framenode_t;
typedef struct framelist	framelist_t;
typedef struct killring		killring_t;
typedef struct killbuffer	killbuffer_t;
typedef struct line		line_t;
typedef struct linelist		linelist_t;
typedef struct module		module_t;
typedef struct mark		mark_t;
typedef struct opt		opt_t;
typedef struct optlist		optlist_t;
typedef struct options		options_t;
typedef struct rect		rect_t;
typedef struct region		region_t;
typedef struct undo		undo_t;
typedef struct undolist		undolist_t;
typedef struct vdefault		vdefault_t;
typedef struct vminibuff	vminibuff_t;
typedef struct viewhdr		viewhdr_t;
typedef struct viewlist		viewlist_t;
typedef struct viewops		viewops_t;
typedef struct viewtype		viewtype_t;
typedef struct viewtypelist	viewtypelist_t;
typedef struct viewtypeops	viewtypeops_t;

#endif
