/*-
 * Copyright (c) 2002 Jordan DeLong
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of contributors may be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
#ifndef MINIBUFF_H
#define MINIBUFF_H

extern int		minibuff_editing;
extern int		minibuff_active;
extern line_t		*minibuff_line;

void	minibuff_init();
void	minibuff_shutdown();
void	minibuff_draw();
void	minibuff_forcedraw();
void	minibuff_resize(int, int);
void	minibuff_input(int);
void	minibuff_print(u_char *str);
void	minibuff_printf(u_char *fmt, ...);
u_char	*minibuff_prompt(u_char *prompt, u_char *def);
int	minibuff_chprompt(u_char *prompt, u_char *chars, int allowcancel);
u_char	*minibuff_cbprompt(u_char *prompt, u_char *def,
		int (*callback)(vminibuff_t *, int),
		void (*postcallback)(vminibuff_t *, int));
void	minibuff_rawinit(u_char *prompt, u_char *def,
		int (*callback)(vminibuff_t *, int),
		void (*postcallback)(vminibuff_t *, int));
void	minibuff_rawenter();
void	minibuff_setprompt(u_char *prompt);
u_char	*minibuff_fileprompt(u_char *def);
u_char	*minibuff_cmdprompt(u_char *def);
u_char	*minibuff_vtypeprompt(u_char *def);
u_char	*minibuff_optprompt(u_char *def);
u_char	*minibuff_buffprompt(u_char *def);

#endif
